<?php
$sql	= "SELECT * FROM objekte WHERE ID = '" . $_POST['ID'] . "' LIMIT 1;";
$result	= $db->query ( $sql );
$nt		= $result->fetch_assoc();
//Dateien löschen
chdir('temp');
$nodes = glob($_POST['ID'].'*');
foreach ($nodes as $node) {
	if (is_file($node)) {
		unlink($node);
	}
}
chdir('../');

include "inhalte/portale/immon/wohn.php";

// Zipdatei erstellen
$zip = new ZipArchive();
chdir('temp');
$zipname = $_POST['ID'].'_'.IMMON_KD.'.zip';

if ($zip->open($zipname, ZIPARCHIVE::CREATE)!==TRUE) {
    die("<h1>Zipdatei <" . $zipname . "> für ImmoNet kann nicht erstellt werden</h1>");
}

$nodes = glob($_POST['ID'].'*');
foreach ($nodes as $node) {
	if (is_file($node)) {
		$zip->addFile($node);
	}
}
$zip->close();
echo "<p>Zip Archiv für ImmoNet erstellt!</p>";
/*
//FTP Upload
$ftp_id = ftp_connect('ftp.immonet.de');
$ftp_user = IMMON_ID;
$ftp_pass = IMMON_PASS;
if (!$ftp_id) {
	die("<h1>FTP-Verbindung zu ImmoNet fehlgeschlagen</h1>");
}
$ftp_login_result = ftp_login($ftp_id, $ftp_user, $ftp_pass);
if (!$ftp_login_result) {
	die("<h1>Login zum ImmoNet - Server fehlgeschlagen</h1>");
}
echo "<p>FTP-Verbindung wurde hergestellt!</p>";

$ftp_upload = ftp_put($ftp_id, $zipname, $zipname, FTP_BINARY);
if (!$ftp_upload) {
	die("<h1>Upload von <" . $zipname . "> zu ImmoNet fehlgeschlagen");
}
echo "<p>Die Datei wurde hochgeladen</p>";
ftp_close($ftp_id);
*/
//Dateien löschen
/*
$nodes = glob($_POST['WID'].'*');
foreach ($nodes as $node) {
	if (is_file($node)) {
		unlink($node);
	}
}
echo "<p>Temporäre Dateien gelöscht!</p>";

//Datenbank aktualisieren
if ('importieren' == $_POST['ImmoNet']) {
	$sql3 = 'UPDATE objekte SET Net = 1 WHERE ID = "'.$_POST['ID'].'"';
} elseif ('loeschen' == $_POST['ImmoNet']) {
	$sql3 = 'UPDATE objekte SET Net = 0 WHERE ID = "'.$_POST['ID'].'"';
}
if ('aktualisieren' != $_POST['ImmoNet']) {
	$stmt = $db->prepare($sql3);
	if (!$stmt) {
		die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
	}
	if (!$stmt->execute()) {
		die ('Query konnte nicht ausgeführt werden: '.$stmt->error);
	}
}
echo "<p>Datenbank wurde aktualisiert!</p>";
*/
?>
